Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 925096 - bind: Does not support aarch64 in f19 and rawhide
Summary: bind: Does not support aarch64 in f19 and rawhide
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bind
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Hozza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 00:08 UTC by Dennis Gilmore
Modified: 2013-11-26 14:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-26 14:41:16 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 00:08:05 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  bind appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/bind/bind-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Fedora Admin XMLRPC Client 2013-04-25 11:37:34 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Tomáš Hozza 2013-06-12 19:14:19 UTC
I would rather not include any more unnecessary patches in bind package.
Running autoreconf does not really work, so I notified the upstream. We'll
see if they're going to respond.

Upstream Bug number is [ISC-Bugs #33816]

Comment 3 Tomáš Hozza 2013-11-26 14:41:16 UTC
BIND can be built on aarch64 without any problems...

Closing as NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.